Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class ObjTreeNode

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--oracle.jbo.jbotester.ObjTreeNode

public class ObjTreeNode
extends javax.swing.tree.DefaultMutableTreeNode

See Also:
  Serialized Form

Field Summary
`static int` | `APP_MODULE`
`static int` | `APP_MODULE_BRANCH`
`protected java.lang.Object` | `mData`
`protected java.lang.String` | `mName`
`protected int` | `mType`
`static int` | `VIEW_LINK`
`static int` | `VIEW_LINK_BRANCH`
`static int` | `VIEW_OBJECT`
`static int` | `VIEW_OBJECT_BRANCH`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`ObjTreeNode(java.lang.String name, int type)`

Method Summary
`ObjTreeNode` | `getChildOfType(int type)`
`java.lang.Object` | `getData()`
`java.lang.String` | `getName()` Returns name of the Node
`ObjTreeNode` | `getParentOfType(int type)` Recurse through the parents for a node of a certain type
`int` | `getType()` Returns Type of the Node.
`void` | `setData(java.lang.Object data)`
`java.lang.String` | `toString()` Returns Name of the Node

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APP_MODULE

    public static final int APP_MODULE

### VIEW_OBJECT

    public static final int VIEW_OBJECT

### VIEW_LINK

    public static final int VIEW_LINK

### APP_MODULE_BRANCH

    public static final int APP_MODULE_BRANCH

### VIEW_OBJECT_BRANCH

    public static final int VIEW_OBJECT_BRANCH

### VIEW_LINK_BRANCH

    public static final int VIEW_LINK_BRANCH

### mName

    protected java.lang.String mName

### mType

    protected int mType

### mData

    protected java.lang.Object mData

Constructor Detail

### ObjTreeNode

    public ObjTreeNode(java.lang.String name,
                       int type)

Method Detail

### getName

    public java.lang.String getName()

  Returns name of the Node
  Returns:
    Name of the node

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object data)

### getType

    public int getType()

  Returns Type of the Node. All the possible values for the Node type are are defined in INode interface.
  Returns:
    Type of the node

### getChildOfType

    public ObjTreeNode getChildOfType(int type)

### getParentOfType

    public ObjTreeNode getParentOfType(int type)

  Recurse through the parents for a node of a certain type

### toString

    public java.lang.String toString()

  Returns Name of the Node
  Overrides:
    toString in class javax.swing.tree.DefaultMutableTreeNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD